#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.5.0.1
visibility:           public
id:                   ghcide-1.5.0.1-LMS5mmPRqdYA7iO4ieAdjk
key:                  ghcide-1.5.0.1-LMS5mmPRqdYA7iO4ieAdjk
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  c5e27852ddd0d37e4a11a2718eca9839
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.Error
    Development.IDE.GHC.ExactPrint Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Plugin Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Options Development.IDE.Types.Shake
    Generics.SYB.GHC

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings Development.IDE.LSP.Notifications
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action
    Text.Fuzzy.Parallel

import-dirs:          /usr/lib/ghc-9.0.2/site-local/ghcide-1.5.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/ghcide-1.5.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-1.5.0.1-LMS5mmPRqdYA7iO4ieAdjk
depends:
    Diff-0.4.1-14FzpHO7DvM9ZrKSnS0Jaa
    Glob-0.10.2-3ooHigPL8A468fcpRmnG7T
    aeson-2.1.1.0-K9BW85jPsWRAK2RMwS3bY2
    aeson-pretty-0.8.9-L7FfK2U9gTw5NS8lPexlWs array-0.5.4.0
    async-2.2.4-DsKZe3TE8bS5FmfUvwss6n base-4.15.1.0
    base16-bytestring-1.0.2.0-DES3Ta4RQJs9zYvTa0K9VH binary-0.8.8.0
    bytestring-0.10.12.1
    bytestring-encoding-0.1.2.0-BBcy2NbnHMdBGzcGtzyCkm
    case-insensitive-1.2.1.0-73T65mjLeXR3lPiHTeeggu containers-0.6.4.1
    cryptohash-sha1-0.11.101.0-KZfvLF0F25Y6qQ5ton1Kyc
    data-default-0.7.1.1-BkZarJ3J3008hHF2JOuYeW deepseq-1.4.5.0
    dependent-map-0.4.0.0-JdV3vsQ41bv5etKkQtqWbj
    dependent-sum-0.7.1.0-KcjbXeFSYsdImFOv9m3pLa directory-1.3.6.2
    dlist-1.0-ImNlUre2rHgIkuGbqNQCOO exceptions-0.10.4
    extra-1.7.12-AixpmEv1yTnFmkqRSxXmgm filepath-1.4.2.1
    fingertree-0.1.5.0-CCnXKqsui1kgIBdaBYopR
    fuzzy-0.1.0.1-3h4odP8gkzP4flBScax9gn ghc-9.0.2
    ghc-api-compat-8.6.1-F4jVXTaEYzcGEcFzzf0nwC ghc-boot-9.0.2
    ghc-boot-th-9.0.2 ghc-check-0.5.0.8-Ch8dDHLbVdf8a2J7L9ubbf
    ghc-exactprint-0.6.4-ABhxORw1q3mAHf9JjNPJMU
    ghc-paths-0.1.0.12-7fRPaqGgnC488dNzs2elDi
    ghc-trace-events-0.1.2.6-J2i3ZJHv7lYxWrGYKXh9u
    haddock-library-1.10.0-74aUIn8ELaW2uXmXjvjvzV
    hashable-1.4.1.0-IpvqAKlseIJF8jDncdkjUf
    heapsize-0.3.0.1-4zBw21JX1kkHcdC4JUEWPJ
    hie-bios-0.8.1-4vPQ2nNWo3GB3VISwFW7M8
    hie-compat-0.2.1.1-ItFnwzZwXKE51zMdASrr2A
    hiedb-0.4.1.0-H6A8xcYndToHwfVl0Okpvo
    hls-graph-1.5.1.1-2c7pPgWC13p7Z5fjrPgygJ
    hls-plugin-api-1.2.0.2-IVc7DAcEnX4Cw0fWZpDrwG
    hslogger-1.3.1.0-DwtePGCgtQBDcjLmgl19p1
    implicit-hie-cradle-0.3.0.5-8ykxx3mqBziKVdXYzdKmfv
    lens-5.2-HshKI406bdO6VQU9Db7XBS lsp-1.2.0.1-CiZVcQYSNxt3jODob5cbEK
    lsp-types-1.3.0.1-4igjOVQIWgbC2xrxJBrX44
    monoid-subclasses-1.2.1-IaO7dl0moGcJbvj1oznXmC mtl-2.2.2
    network-uri-2.6.4.1-6ZiP9eTaRPdCx8mZK7nGmp
    opentelemetry-0.8.0-9Z4I0qclYWb3ObmzCg0di8
    optparse-applicative-0.17.0.0-8lW6r0BM3spDpBWlvE7jOi
    parallel-3.2.2.0-D2aleEa2VnPBr164BdKnms
    prettyprinter-1.7.1-5Qriw9OGFngAOO6oJ2HcwC
    prettyprinter-ansi-terminal-1.1.3-8gJaotZ2kg3sj2EG7OB06
    regex-tdfa-1.3.2-66jf7kqACF0KG4cbfzWqPu
    retrie-1.1.0.0-9kc23PARLIE5YX5Inbp3SX
    rope-utf16-splay-0.3.2.0-FI3VRKizaWtJYrhQszvAri
    safe-0.3.19-2aVM1fCfxX88jnlVeNbd8Q
    safe-exceptions-0.1.7.3-9THH0mIdiqjIrIB0ArIwvp
    sorted-list-0.2.1.0-6jcghXYTAOG6xcHgKgM12R
    sqlite-simple-0.4.18.2-DCVhtDrTdfj2pXNejjWA9u stm-2.5.0.0
    syb-0.7.2.2-2tWkksRZwal15UlKCzfmOk text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.23.0-CaSOVWbdOqFG4yM51NfrPy
    unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.19.1-GtFja3NZ1tw4exmhm99dqw
    utf8-string-1.0.2-7vJf5AoNOLyFfjCFEBOlRd
    vector-0.13.0.0-GfIMzH8CfjSEVrHPrMfjgS
    vector-algorithms-0.9.0.1-4QBuCP7NnAxKnIOmH8wlgN

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

